"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const yaml_1 = __importDefault(require("yaml"));
const getWorkflowsFromFile = (cliArgs) => {
    const file = fs_1.default.readFileSync(cliArgs.file, "utf8");
    let circleciConfig;
    try {
        circleciConfig = yaml_1.default.parse(file);
    }
    catch (e) {
        throw new Error(`error while parsing YAML: ${e.message}`);
    }
    return circleciConfig.workflows;
};
exports.default = { getWorkflows: getWorkflowsFromFile };
//# sourceMappingURL=file.js.map